Results 1 to 3 of 3

Thread: Compiz modules visibly untick themselves

  1. #1

    Question Compiz modules visibly untick themselves

    I'm running OpenSuSE 11.1 with Compiz from the build service. When I am in the CompizConfig Settings Manager (ccsm), and tick (say) 'animations', a few seconds later the module unticks itself !
    Any ideas ?
    If I enable a conflicting module (like minimise effect) and then click 'animations', the conflict resolution works as expected, but the animations module still then unticks itself!

    Am I just going mad ?

  2. #2

    Lightbulb Re: Compiz modules visibly untick themselves

    You most likely have a version conflict between installed packages.

    You can confirm this by running ccsm in a terminal. check your plugin tickbox, and when it disappears there is most likely a message regarding ABI versions appearing.

    you can use the command
    > rpm -qa "*compiz*"
    to get a list of installed packages, which contain compiz in the name.

    Make sure that compiz, and the compiz[-fusion]-plugins-{main,extra} and libcomiz* have the same version.

    Also, a good idea to start looking at, might be to check in yast if all the compiz packages come from the same repository (you unfortunately do not state which repository of the BuildService you used).

    hope to have helped you a bit here.

    Dominique

  3. #3

    Default Re: Compiz modules visibly untick themselves

    Quote Originally Posted by dimstar View Post
    You most likely have a version conflict between installed packages.
    Ohh, good call !
    I popped into yast2 and there were a bunch of compiz-related packages showing with updates available.
    I updated them all and the problem is gone, cheers !

    Quote Originally Posted by dimstar View Post
    compiz[-fusion]-plugins-{main,extra} and libcomiz* have the same version.
    Though this has peeked my interest; one of the plugins I'd really like to use is the ring switcher, but this doesn't appear to be listed.
    In fact, all the '-fusion' packages show a 0.7 version compared to 0.8 for the other ones.
    For instance compiz is from download.opensuse.org/repositories/X11:/XGL/openSUSE_11.1/ rpm says "compiz-0.8.4-167.1".
    Yast2 lists (the uninstalled) compiz-fusion-plugins-main as only v0.7 and from a different repo (download.opensuse.org/repositories/X11:/Compiz/openSUSE_11.1/).
    Where should all these bits come from ? Should I have the -fusion ones in addition ? In which case why would they not show up ?

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •